Chuyển đến nội dung
Diễn đàn CADViet

kidxxx

Thành viên
  • Số lượng nội dung

    3
  • Đã tham gia

  • Lần ghé thăm cuối

Bài đăng được đăng bởi kidxxx


  1. Bác cho em hỏi xíu: Hàm: assoc 300 thì số 330 đây có nghĩa là gì ạ?

    Theo em được biết thì hàm assoc có công thức (assoc item alist) trong đó item trả về phần tử tương ứng với vị trí của nó trong list. Vậy 330 của bác chính là item phải ko ạ? Nếu vậy thì list của bác có hơn 330 phần tử lun ạ? Cái này em chưa hiểu lắm nên nhờ bác giải thích thêm.

     

    Như ví dụ của em: (setq alist ‘((1 “ONE”) (2 “TWO”) (3 “THREE”)))
    (assoc 1 alist) --->(1 “ONE”)
    (assoc 2 alist) --->(2 “TWO”)


  2. Chào mọi người.

     

    Mình có sưu tầm được 1 lisp thiết lập layout để in. Nhưng điểm yếu của nó là muốn thiết lập phải mở bản vẽ và phải làm lần lượt cho từng bản.

    Mình muốn nhờ mọi người phát triển thêm để nó có thể set layout hàng loạt mà không cần mở bản vẽ. Set xong tự lưu bản vẽ luôn.

    Lisp mình để ở dưới. Cảm ơn tất cả mọi người!

     

    (Defun c:tbb();
    (command "undo" "be")
    (vl-load-com)
    (setvar "psltscale" 0)
    (setq ddan (getvar "dwgprefix"))
    (setq dwgname (getvar "dwgname"))
    (command "layout" "s" "Model""")
    (command "-purge" "all""" "n""")
    (command "zoom" "E""")
    (command "layout" "s" "")
    (command "erase" "all""")
    (command "layout" "r""""Title""")
    (command "-plot" "yes" "Title" "DWG To PDF.pc3" "ISO full bleed A1 (594.00 x 841.00 MM)" "m" "Landscape" "no" "Extents"  "fit" "center" "yes" "Standard.ctb" "y" "n" "n" "n" "n" "y" "n""")
    (command "mview" "fit""")
    (command "mspace""")
    (command "zoom" "E""")
    (command "pspace""")
    (setq dsla (layoutlist))
    (setq solayout (length dsla))
    (foreach lay dsla
    (if (/= lay "Title")
    (command "layout" "d" lay"")
    )
    )
    (setq newname (strcat ddan dwgname))
    (command "saveas" "2010" newname "_Y""")
    (command "undo" "end")
    (princ)
    )


  3. Chào mọi người.

     

    Mình có sưu tầm được 1 lisp thiết lập layout để in. Nhưng điểm yếu của nó là muốn thiết lập phải mở bản vẽ và phải làm lần lượt cho từng bản.

    Mình muốn nhờ mọi người phát triển thêm để nó có thể set layout hàng loạt mà không cần mở bản vẽ. Set xong tự lưu bản vẽ luôn.

    Lisp mình để ở dưới. Cảm ơn tất cả mọi người!

     

    (Defun c:tbb();
    (command "undo" "be")
    (vl-load-com)
    (setvar "psltscale" 0)
    (setq ddan (getvar "dwgprefix"))
    (setq dwgname (getvar "dwgname"))
    (command "layout" "s" "Model""")
    (command "-purge" "all""" "n""")
    (command "zoom" "E""")
    (command "layout" "s" "")
    (command "erase" "all""")
    (command "layout" "r""""Title""")
    (command "-plot" "yes" "Title" "DWG To PDF.pc3" "ISO full bleed A1 (594.00 x 841.00 MM)" "m" "Landscape" "no" "Extents"  "fit" "center" "yes" "Standard.ctb" "y" "n" "n" "n" "n" "y" "n""")
    (command "mview" "fit""")
    (command "mspace""")
    (command "zoom" "E""")
    (command "pspace""")
    (setq dsla (layoutlist))
    (setq solayout (length dsla))
    (foreach lay dsla
    (if (/= lay "Title")
    (command "layout" "d" lay"")
    )
    )
    (setq newname (strcat ddan dwgname))
    (command "saveas" "2010" newname "_Y""")
    (command "undo" "end")
    (princ)
    )

×